| Bsoft 2.0.5 Bernard's software package

Functions
btext.tcl File Reference

Window to show text information. More...

Go to the source code of this file.

## Functions
| openTextWindow w
| Open a text editing window. More...
| showInfo theinfo
| Opens a text window with the supplied information. More...
| editTextFile filename
| Reads a text file for editing. More...
| openTextFile wtxt
| Opens a text file for editing. More...
| readTextFile wtxt filename
| Reads a text file. More...
| saveTextFile wtxt filename
| Saves a text file using its current name. More...
| saveAsTextFile wtxt
| Saves a text file with a new name. More...
| updateText wtxt chan
| Updates text originating from an open channel. More...
| executeCommand cmd logfile
| Executes a command and sends the output to a channel for updating. More...
| getFilename w
| Gets a file name entry. More...
| getDirectoryName w
| Gets a directory entry. More...

## Detailed Description

Window to show text information.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20130123

Definition in file btext.tcl.

## Function Documentation

## ◆ editTextFile()

editTextFile |  |  | filename

Reads a text file for editing.

Parameters

  filename | file name (including path).

Definition at line 95 of file btext.tcl.

## ◆ executeCommand()

executeCommand |  |  | cmd logfile

Executes a command and sends the output to a channel for updating.

Parameters

  cmd | the command (with arguments)
  logfile | a text file to write to.

Definition at line 183 of file btext.tcl.

## ◆ getDirectoryName()

getDirectoryName |  |  | w

Gets a directory entry.

Parameters

  w | an entry window

Definition at line 214 of file btext.tcl.

## ◆ getFilename()

getFilename |  |  | w

Gets a file name entry.

Parameters

  w | an entry window

Definition at line 202 of file btext.tcl.

## ◆ openTextFile()

openTextFile |  |  | wtxt

Opens a text file for editing.

Parameters

  wtxt | text window.

Definition at line 108 of file btext.tcl.

## ◆ openTextWindow()

openTextWindow |  |  | w

Open a text editing window.

Parameters

  w | window name to contain ".text" window.

Definition at line 16 of file btext.tcl.

## ◆ readTextFile()

readTextFile |  |  | wtxt filename

Reads a text file.

Parameters

  wtxt | a text window
  filename | file name (including path).

Definition at line 120 of file btext.tcl.

## ◆ saveAsTextFile()

saveAsTextFile |  |  | wtxt

Saves a text file with a new name.

Parameters

  wtxt | a text window

Definition at line 154 of file btext.tcl.

## ◆ saveTextFile()

saveTextFile |  |  | wtxt filename

Saves a text file using its current name.

Parameters

  wtxt | a text window
  filename | file name (including path).

Definition at line 139 of file btext.tcl.

## ◆ showInfo()

showInfo |  |  | theinfo

Opens a text window with the supplied information.

Parameters

  theinfo | text information.

Definition at line 80 of file btext.tcl.

## ◆ updateText()

updateText |  |  | wtxt chan

Updates text originating from an open channel.

Parameters

  wtxt | a text window
  chan | the channel

Definition at line 166 of file btext.tcl.